//-------------------------------------------------------------------------
/*
Copyright (C) 2010 EDuke32 developers and contributors

This file is part of EDuke32.

EDuke32 is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
//-------------------------------------------------------------------------

// _functio.h

// file created by makehead.exe
// these headers contain default key assignments, as well as
// default button assignments and game function names
// axis defaults are also included

#include "_control.h"
#include "control.h"

#ifndef function_private_h_
#define function_private_h_
#ifdef __cplusplus
extern "C" {
#endif
// KEEPINSYNC lunatic/con_lang.lua
char gamefunctions[NUMGAMEFUNCTIONS][MAXGAMEFUNCLEN] =
   {
   "Avancer",
   "Reculer",
   "Tourner_Droite",
   "Tourner_Gauche",
   "Strafer",
   "Tirer",
   "Ouvrir",
   "Courir",
   "Course_Auto",
   "Sauter",
   "Accroupir",
   "Regarder_Haut",
   "Regarder_Bas",
   "Regarder_Gauche",
   "Regarder_Droite",
   "Strafer_Gauche",
   "Strafer_Droite",
   "Visee_Haut",
   "Visee_Bas",
   "Arme_1",
   "Arme_2",
   "Arme_3",
   "Arme_4",
   "Arme_5",
   "Arme_6",
   "Arme_7",
   "Arme_8",
   "Arme_9",
   "Arme_10",
   "Inventaire",
   "Inventaire_Gauche",
   "Inventaire_Droite",
#ifndef EDUKE32_STANDALONE
   "HoloDuke",
   "Fusee_Dorsale",
   "Vision_De_Nuit",
   "Trousse_De_Soin",
#else
   "",
   "",
   "",
   "",
#endif
   "Demi_Tour",
   "Envoyer_Message",
   "Carte",
   "Shrink_Screen",
   "Enlarge_Screen",
   "Centrer_Vue",
   "Arme_De_Poing",
   "Aff._Arme_Adversaires",
   "Mode_Suivi_Carte",
   "Voir_Vue_Coop",
   "Visee_Souris",
   "Activer_Reticule",
#ifndef EDUKE32_STANDALONE
   "Steroides",
   "Coup_De_Pompe",
#else
   "",
   "",
#endif
   "Arme_Suivant",
   "Arme_Precedent",
   "Voir_Console",
#ifndef EDUKE32_STANDALONE
   "Voir_Scores_DukeMatch",
#else
   "Voir_Scores_Multiplayer",
#endif
   "Dpad_Select",
   "Dpad_Visee",
   "Arme_Alternatif",
   };

#ifdef __SETUP__

#define NUMKEYENTRIES 57

const char keydefaults[NUMGAMEFUNCTIONS*2][MAXGAMEFUNCLEN] =
   {
   "W", "Kpad8",
   "S", "Kpad2",
   "Left", "Kpad4",
   "Right", "KPad6",
   "LAlt", "RAlt",
   "", "RCtrl",
   "E", "",
   "LShift", "RShift",
   "CapLck", "",
   "Space", "/",
   "LCtrl", "",
   "PgUp", "Kpad9",
   "PgDn", "Kpad3",
   "Insert", "Kpad0",
   "Delete", "Kpad.",
   "A", "",
   "D", "",
   "Home", "KPad7",
   "End", "Kpad1",
   "1", "",
   "2", "",
   "3", "",
   "4", "",
   "5", "",
   "6", "",
   "7", "",
   "8", "",
   "9", "",
   "0", "",
   "Enter", "KpdEnt",
   "[", "",
   "]", "",
   "H", "",
   "J", "",
   "N", "",
   "M", "",
   "BakSpc", "",
   "T", "",
   "Tab", "",
   "-", "Kpad-",
   "=", "Kpad+",
   "KPad5", "",
   "ScrLck", "",
   "Y", "",
   "F", "",
   "K", "",
   "U", "",
   "I", "",
   "R", "",
   "Q", "",
   "'", "",
   ";", "",
   "`", "",
   "", "",
   "", "",
   "", "",
   "", "",
   };

const char oldkeydefaults[NUMGAMEFUNCTIONS*2][MAXGAMEFUNCLEN] =
   {
   "Up", "Kpad8",
   "Down", "Kpad2",
   "Left", "Kpad4",
   "Right", "KPad6",
   "LAlt", "RAlt",
   "lCtrl", "RCtrl",
   "Space", "",
   "LShift", "RShift",
   "CapLck", "",
   "A", "/",
   "Z", "",
   "PgUp", "Kpad9",
   "PgDn", "Kpad3",
   "Insert", "Kpad0",
   "Delete", "Kpad.",
   ",", "",
   ".", "",
   "Home", "KPad7",
   "End", "Kpad1",
   "1", "",
   "2", "",
   "3", "",
   "4", "",
   "5", "",
   "6", "",
   "7", "",
   "8", "",
   "9", "",
   "0", "",
   "Enter", "KpdEnt",
   "[", "",
   "]", "",
   "H", "",
   "J", "",
   "N", "",
   "M", "",
   "BakSpc", "",
   "T", "",
   "Tab", "",
   "-", "Kpad-",
   "=", "Kpad+",
   "KPad5", "",
   "ScrLck", "",
   "W", "",
   "F", "",
   "K", "",
   "U", "",
   "I", "",
   "R", "",
   "`", "",
   "'", "",
   ";", "",
   "C", "",
   "", "",
   "", "",
   "", "",
   "", "",
   };

static const char * mousedefaults[MAXMOUSEBUTTONS] =
   {
   "Tirer",
   "Trousse_De_Soin",
   "Fusee_Dorsale",
   "",
   "Arme_Precedent",
   "Arme_Suivant",
   };


static const char * mouseclickeddefaults[MAXMOUSEBUTTONS] =
   {
   };


static const char * mouseanalogdefaults[MAXMOUSEAXES] =
   {
   "analog_turner",
   "analog_Deplacer",
   };


static const char * mousedigitaldefaults[MAXMOUSEDIGITAL] =
   {
   };

#if defined(GEKKO)
static const char * joystickdefaults[MAXJOYBUTTONSANDHATS] =
   {
   "Ouvrir", // A
   "Tirer", // B
   "Courir", // 1
   "Carte", // 2
   "Arme_Precedent", // -
   "Arme_Suivant", // +
   "", // Home
   "Sauter", // Z
   "Accroupir", // C
   "Carte", // X
   "Courir", // Y
   "Sauter", // L
   "Coup_de_Pompe", // R
   "Accroupir", // ZL
   "Tirer", // ZR
   "Coup_de_Pompe", // D-Pad Up
   "Inventaire_Droite", // D-Pad Right
   "Inventaire", // D-Pad Down
   "Inventaire_Gauche", // D-Pad Left
   };


static const char * joystickclickeddefaults[MAXJOYBUTTONSANDHATS] =
   {
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "Inventaire",
   };


static const char * joystickanalogdefaults[MAXJOYAXES] =
   {
   "analog_strafer",
   "analog_Deplacer",
   "analog_turner",
   "analog_regarderHautBas",
   };


static const char * joystickdigitaldefaults[MAXJOYDIGITAL] =
   {
   };
#else
static const char * joystickdefaults[MAXJOYBUTTONSANDHATS] =
   {
   "Tirer",
   "Strafer",
   "Courir",
   "Ouvrir",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "",
   "Visee_Bas",
   "Regarder_Droite",
   "Visee_Bas",
   "Regarder_Gauche",
   };


static const char * joystickclickeddefaults[MAXJOYBUTTONSANDHATS] =
   {
   "",
   "Inventaire",
   "Sauter",
   "Accroupir",
   };


static const char * joystickanalogdefaults[MAXJOYAXES] =
   {
   "analog_turner",
   "analog_Deplacer",
   "analog_strafer",
   };


static const char * joystickdigitaldefaults[MAXJOYDIGITAL] =
   {
   "",
   "",
   "",
   "",
   "",
   "",
   "Courir",
   };
#endif

#endif
#ifdef __cplusplus
}
#endif
#endif
